@echo off
REM Bepaalt huidige datum in formaat 'YYYY-MM-DD'
REM Variabele voor de zekerheid leegmaken
set mydate=
REM LocalDateTime geeft string in ISO-formaat, om problemen met locales te voorkomen (bijv MMDDYYYY ipv DDMMYYYY)
REM zie http://stackoverflow.com/questions/203090/how-to-get-current-datetime-on-windows-command-line-in-a-suitable-format-for-us/203116#203116
for /F "usebackq tokens=1,2 delims==" %%i in (`wmic os get LocalDateTime /VALUE 2^>NUL`) do if '.%%i.'=='.LocalDateTime.' set ldt=%%j
set mydate=%ldt:~0,4%-%ldt:~4,2%-%ldt:~6,2%
echo Datum is [%mydate%]